package uk.ac.bath.oy213.ip.server.commands.net;

import uk.ac.bath.oy213.ip.server.Server;
import uk.ac.bath.oy213.ip.server.net.ConnectionThread;
import uk.ac.bath.oy213.ip.server.net.Packet;

/**
 * Created by Ollie on 14/04/15.
 */
public class LogoutCommand extends NetCommand {

    public LogoutCommand() {

        super("logout");

    }

    @Override
    public void dispatch(ConnectionThread connection, String[] args, Object data) {

        dispatch(connection, args);

    }

    @Override
    public void dispatch(ConnectionThread connection, String[] args) {

        Server.instance().getTokenRegistry().revokeToken(connection.getUsername());

        Server.instance().getLocationTable().removeUser(connection.getUsername());

        connection.sendPacket(new Packet(null, "logout-success", null, null));

    }

}
