package uk.ac.bath.oy213.ip.server.util;

/**
 * Created by Ollie on 28/03/15.
 */
public class Colour {

    public static String ANSI_RESET, ANSI_BLACK, ANSI_RED, ANSI_GREEN, ANSI_YELLOW, ANSI_BLUE, ANSI_PURPLE, ANSI_CYAN, ANSI_WHITE;

    public static int FORMATTING_LENGTH;

    public static void assignColours() {

        if (System.getProperty("os.name").contains("Windows")) {

            ANSI_RESET = "";
            ANSI_BLACK = "";
            ANSI_RED = "";
            ANSI_GREEN = "";
            ANSI_YELLOW = "";
            ANSI_BLUE = "";
            ANSI_PURPLE = "";
            ANSI_CYAN = "";
            ANSI_WHITE = "";

            FORMATTING_LENGTH = 0;

        } else {

            ANSI_RESET = "\u001B[0m";
            ANSI_BLACK = "\u001B[30m";
            ANSI_RED = "\u001B[91m";
            ANSI_GREEN = "\u001B[92m";
            ANSI_YELLOW = "\u001B[93m";
            ANSI_BLUE = "\u001B[94m";
            ANSI_PURPLE = "\u001B[95m";
            ANSI_CYAN = "\u001B[96m";
            ANSI_WHITE = "\u001B[37m";

            FORMATTING_LENGTH = 5;

        }

    }

}
