package uk.ac.bath.oy213.ip.server.commands;

import java.util.ArrayList;

/**
 * Created by Ollie on 28/03/15.
 */
public abstract class Command {

    private ArrayList<String> aliases;

    public Command() {

        aliases = new ArrayList<>();

    }

    public void setAliases(ArrayList<String> aliases) {

        this.aliases = aliases;

    }

    public ArrayList<String> getAliases() {

        return aliases;

    }

    public void addAlias(String alias) {

        if (!aliases.contains(alias.toLowerCase())) {

            aliases.add(alias.toLowerCase());

        }

    }

    public void removeAlias(String alias) {

        aliases.remove(alias.toLowerCase());

    }

    public boolean hasAlias(String alias) {

        return (aliases.contains(alias.toLowerCase()));

    }

    public String getCanonincalAlias() {

        return aliases.get(0);

    }

}
