package uk.ac.bath.oy213.ip.server.commands.net;

import uk.ac.bath.oy213.ip.server.commands.Command;
import uk.ac.bath.oy213.ip.server.net.ConnectionThread;

import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;

/**
 * Created by Ollie on 28/03/15.
 */
public abstract class NetCommand extends Command {

    private boolean requiresAuthentication;

    public NetCommand(String alias) {

        super();

        addAlias(alias);

        requiresAuthentication = true;

    }

    public boolean doesRequireAuthentication() {

        return requiresAuthentication;

    }

    public void setRequiresAuthentication(boolean requiresAuthentication) {

        this.requiresAuthentication = requiresAuthentication;

    }

    public abstract void dispatch(ConnectionThread connection, String[] args, Object data);
    public abstract void dispatch(ConnectionThread connection, String[] args);

}
