package uk.ac.bath.oy213.ip.server.util;

import java.io.PrintStream;

/**
 * Created by Ollie on 28/03/15.
 */
public enum LoggingLevel {

    INFO(Colour.ANSI_RESET+"["+Colour.ANSI_BLUE+"INFO"+Colour.ANSI_RESET+"] ", System.out, Colour.ANSI_RESET),
    SERVER(Colour.ANSI_RESET+"["+Colour.ANSI_YELLOW+"SERVER"+Colour.ANSI_RESET+"] ", System.out, Colour.ANSI_RESET),
    WARNING(Colour.ANSI_RESET+"["+Colour.ANSI_RED+"WARN"+Colour.ANSI_RESET+"] "+Colour.ANSI_RED, System.err, Colour.ANSI_RED),
    SEVERE(Colour.ANSI_RESET+"["+Colour.ANSI_RED+"SEVERE"+Colour.ANSI_RESET+"] "+Colour.ANSI_RED, System.err, Colour.ANSI_RED);

    private String value, reset;
    private PrintStream stream;

    LoggingLevel(String value, PrintStream stream, String reset) {

        this.value = value;
        this.stream = stream;
        this.reset = reset;

    }

    public String getValue() {

        return value;

    }

    public PrintStream getStream() {

        return stream;

    }

    public String getReset() {

        return reset;

    }

}
